# fileIndexEntry Struct Reference
[RPMDEP.]

A file to be installed/removed. More...

`#include <depends.h>`

## Data Fields

int | pkgNum
int | fileFlags
const char * | baseName

## Detailed Description

A file to be installed/removed.

Definition at line 89 of file depends.h.

## Field Documentation

int fileIndexEntry::pkgNum

Containing package number.

Definition at line 90 of file depends.h.

int fileIndexEntry::fileFlags

Definition at line 91 of file depends.h.

const char* fileIndexEntry::baseName

File basename.

Definition at line 92 of file depends.h.

The documentation for this struct was generated from the following file:

- lib/depends.h